Subject: Re: [bug#62264] [PATCH core-updates 0/6] Add `guix index` subcommand

From: Simon Tournier <[email-masked]>
Date: Mon, 22 May 2023 18:53:43 +0200

Hi,

On dim., 21 mai 2023 at 23:45, Ludovic Courtès <[email-masked]> wrote:

>   - [ ] 'guix index' renamed to 'guix locate'

Well, I have some patches that rename to “guix file”. :-)

Well, ’guix locale’ appears to me also fine. 

>   - [ ] 'search' action removed; option added to force reindexing

I have an unpolished stuff that do:

    guix file --index=TYPE
    guix file foo bar

Somehow, “guix file <terms>” the default action (= search).  And then
some action with --action (as index or else).

>   - [ ] warning printed when database is too old
>   - [ ] start anew when database is very old
>   - [ ] documentation written

I have started… but I am not very far. :-)

>   - [ ] '--help' output made more concise

Maybe also remove some “debug” code, no?

Cheers,
simon